import { deployApi } from "./deployApi";

const enhancedApiWithTags = deployApi.enhanceEndpoints({
  addTagTypes: ["StartJob"],
  endpoints: {
    getIoc: { providesTags: ["StartJob"] },
    listJobs: { providesTags: ["StartJob"] },
    startJob: { invalidatesTags: ["StartJob"] }
  }
});

export const { useGetIocQuery, useListJobsQuery, useStartJobMutation } =
  enhancedApiWithTags;
